use "C:\Users\12925\Desktop\全部代码-数据.dta" 
probit y1 scz01 scy01 scc01  area zk lk
margins, dydx(*)
est store First
predict y_hat1, xb
gen pdf1= normalden(y_hat1)
gen cdf1= normal(y_hat1)
gen imr1= pdf1/cdf1
reg y2 scz01 scy01 scc01 area imr1 if y1 == 1
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat2, xb
gen pdf2= normalden(y_hat2)
gen cdf2= normal(y_hat2)
gen imr2= pdf2/cdf2
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr2 if y1 == 1
ivprobit y1 gen year edu healthy type asset incom issurance area (scz01 = ivscz), twostep first
divprob y1, endog(scz01) iv(ivscz)exog( gen year edu healthy type asset incom issurance area)
ivprobit y1 gen year edu healthy type asset incom issurance area (scy01 = ivscy), twostep first
divprob y1, endog(scy01) iv(ivscy)exog( gen year edu healthy type asset incom issurance area)
ivprobit y1 gen year edu healthy type asset incom issurance area (scc01 = iv_scc), twostep first
divprob y1, endog(scc01) iv(iv_scc)exog( gen year edu healthy type asset incom issurance area)
ivregress 2sls y2 gen year edu healthy type asset incom issurance area (scy01 = ivscy)
probit y1 scz01 scy01 scc01 finance gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat3, xb
gen pdf3= normalden(y_hat3)
gen cdf3= normal(y_hat3)
gen imr3= pdf3/cdf3
reg y2 scz01 scy01 scc01 finance gen year edu healthy type asset incom issurance area imr3 if y1 == 1
probit y1 scz01 scy01 scc01 finance fscz fscy fscc gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat4, xb
gen pdf4= normalden(y_hat4)
gen cdf4= normal(y_hat4)
gen imr4= pdf4/cdf4
reg y2 scz01 scy01 scc01 finance fscz fscy fscc gen year edu healthy type asset incom issurance area imr4 if y1 == 1
bysort area : drop if area > 1
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat5, xb
gen pdf5= normalden(y_hat5)
gen cdf5= normal(y_hat5)
gen imr5= pdf5/cdf5
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr5 if y1 == 1
bysort area : drop if area > 2
bysort area : drop if area < 2
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat6, xb
gen pdf6= normalden(y_hat6)
gen cdf6= normal(y_hat6)
gen imr6= pdf6/cdf6
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr6 if y1 == 1
bysort area : drop if area < 3
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat7, xb
gen pdf7= normalden(y_hat7)
gen cdf7= normal(y_hat7)
gen imr7= pdf7/cdf7
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr7 if y1 == 1
bysort type : drop if type > 1
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat8, xb
gen pdf8= normalden(y_hat8)
gen cdf8= normal(y_hat8)
gen imr8= pdf8/cdf8
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr8 if y1 == 1
bysort type : drop if type > 2
bysort type : drop if type < 2
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat9, xb
gen pdf9= normalden(y_hat9)
gen cdf9= normal(y_hat6)
gen imr9= pdf9/cdf9
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr9 if y1 == 1
bysort type : drop if type < 3
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat10, xb
gen pdf10= normalden(y_hat10)
gen cdf10= normal(y_hat10)
gen imr10= pdf10/cdf10
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr10 if y1 == 1
bysort truthtown : drop if truthtown > 0
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat11, xb
gen pdf11= normalden(y_hat11)
gen cdf11= normal(y_hat11)
gen imr11= pdf11/cdf11
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr11 if y1 == 1
bysort truthtown : drop if truthtown < 1
probit y1 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area zk lk
margins, dydx(*)
est store First
predict y_hat12, xb
gen pdf12= normalden(y_hat12)
gen cdf12= normal(y_hat12)
gen imr12= pdf12/cdf12
reg y2 scz01 scy01 scc01 gen year edu healthy type asset incom issurance area imr12 if y1 == 1

